Subject: Re: more words on module file

From: Zheng Gengbing <[email-masked]>
Date: Thu, 20 Jun 1996 08:57:18 +0800 (EAT)

On Tue, 18 Jun 1996, Guansong Zhang wrote:

> Here is a question:
> 
> We both agree on that include file should be dealed with lexer. But is it right
> let hpfsc to deal with module file?
>

	module file is an intermedaite representation , lexer cannot read .

	What I hope HIT do are 2 things :
	1.  include 
	2.  fixed format of writting fortran
	
	I think they are the main limitations of our FrontEnd .

> Suppose a special type is defined in a seperate module file. Then hpf2dep will
> report error if it do not access this file first.
>

	I have modified some places to suppress the error report of these:
	if a module is not predefined , hpf2dep report error.
 	Then hpf2dep is ok to hpfsc .
	
> Are you begin to combine the hpf2dep and hpfsc?
> 

Gengbin